DEBCONF-APT-PROGRESS.FR.1(1)

NOM
debconf-apt-progress - installer des paquets utilisant debconf en affichant une barre d'avancement

SYNOPSIS
 debconf-apt-progress [--] commande [paramètres ...]
 debconf-apt-progress --config
 debconf-apt-progress --start
 debconf-apt-progress --from graduation --to graduation [--] commande [paramètres ...]
 debconf-apt-progress --stop

DESCRIPTION
debconf-apt-progress installer des paquets utilisant debconf en affichant une barre d'avancement. La commande passée en paramètre devrait être une ligne de commande quelconque d'un frontal APT ; plus précisément, ce frontal doit envoyer des informations d'avancement au descripteur de fichier choisi par l'option de configuration "APT::Status-Fd" et il doit conserver ouverts les descripteurs de fichier renseignés via l'option de configuration "APT::Keep-Fds" lorsqu'il invoque debconf (directement ou non), puisque ces descripteurs de fichier vont être utilisés par le protocole de communication debconf.

Les paramètres de la commande que vous passez doivent en général inclure -y (pour apt-get et aptitude) ou quelque chose de similaire afin d'éviter que le frontal pour APT ne pose des questions à l'utilisateur. debconf-apt-progress ne peut pas le faire lui-même puisque le paramètre adéquat peut varier en fonction des frontaux APT.

Les options --start, --stop, --from et B <--to> peuvent être utilisées pour créer une barre d'avancement comportant de multiples segments correspondant à différentes étapes de l'installation, pourvu que l'appelant soit un module de configuration debconf. L'appelant peut aussi interagir avec la barre d'avancement en utilisant le protocole debconf.

debconf verrouille sa base de données de configuration lorsqu'il démarre, ce qui empêche malheureusement d'avoir une instance de debconf affichant la barre d'avancement et une autre traitant les questions des paquets en cours d'installation. Si vous utilisez une barre d'avancement comportant plusieurs segments, vous allez avoir besoin d'évaluer la sortie de l'option --config avant de lancer le frontal debconf, afin de contourner cette limitation. Veuillez consulter "EXEMPLES" in la section EXEMPLES ci-dessous.

OPTIONS

--config
    Affiche les variables d'environnement nécessaires pour lancer un frontal de suivi de l'avancement.

--start
    Démarre une barre d'avancement, allant de 0 à 100 par défaut. Utilisez les options <--from> et <--to> pour indiquer des limites différentes.

--from graduation
    Si utilisée avec --start, commence la barre d'avancement à graduation plutôt qu'à 0.

    Sinon, installe les paquets avec une barre d'avancement commençant à cette graduation. Doit être utilisée avec --to.

--to graduation
    Si utilisée avec --start, termine une barre de progression à graduation plutôt qu'à 100.

    Sinon, installe les paquets avec une barre de progression se terminant à cette graduation. Doit être utilisée avec --from.

--stop
    Arrêter une barre d'avancement en cours.

--no-progress
    Ne pas démarrer, arrêter, ou passer en pas à pas la barre de progression. Les messages de progression d'apt, les événements des média amovibles et les questionnaires debconf seront transférés à debconf.

--dlwaypoint pourcentage
    Spécifier le pourcentage de la barre de progression à utiliser pour le téléchargement des paquets. Le reste sera utilisé pour la phase d'installation des paquets. Par défaut, 15 % de la barre de progression est utilisé pour le téléchargement, les 85 % restant pour l'installation.

--logfile fichier
    Envoyer la sortie normale d'APT dans le fichier.

--logstderr
    Envoyer la sortie normale d'APT vers la sortie standard d'erreur (« stderr »). Si vous ne passez ni l'option --logfile ni l'option --logstderr, la sortie normale d'APT sera désactivée.

--  Terminer les options. Comme vous allez normalement avoir besoin de passer l'option -y à la commande à lancer, vous devrez certainement utiliser -- pour l'empêcher d'être interprétée comme une option de debconf-apt-progress lui-même.

EXEMPLES
Installer l'environnement GNOME et l'environnement de développement X-Window avec une barre d'avancement.

 debconf-apt-progress -- aptitude -y install gnome x-window-system-dev

Installer les environnements GNOME, KDE et XFCE avec une seule barre d'avancement, en allouant 45 % de celle-ci à GNOME, autant à KDE, et les 10 % restants à XFCE :

 #! /bin/sh
 set -e
 case $1 in
   '')
     eval "$(debconf-apt-progress --config)"
     "$0" debconf
     ;;
   debconf)
     . /usr/share/debconf/confmodule
     debconf-apt-progress --start
     debconf-apt-progress --from 0 --to 45 -- apt-get -y install gnome
     debconf-apt-progress --from 45 --to 90 -- apt-get -y install kde
     debconf-apt-progress --from 90 --to 100 -- apt-get -y install xfce4
     debconf-apt-progress --stop
     ;;
 esac

CODE RENVOYÉ
Le code de retour de la commande spécifiée est renvoyé à moins que l'utilisateur presse le bouton Annuler de la barre de progression. Si le bouton Annuler est pressé, la valeur 30 est renvoyée. Pour éviter toute ambiguïté, si la commande renvoie 30, la valeur 3 sera renvoyée.

AUTEURS
Colin Watson <cjwatson@debian.org>

Joey Hess <joeyh@debian.org>

TRADUCTION
Julien Louis <ptitlouis@sysif.net>, 2005

Cyril Brulebois <kibi@debian.org>, 2006

Veuillez signaler toute erreur de traduction en écrivant à <debian-l10n-french@lists.debian.org> ou par un rapport de bogue sur le paquet debconf.